#include <bits/stdc++.h>
using namespace std;
vector<long long > v;
int main(){
    ios_base :: sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    long long a=4,pm,b=0;
    int N,K;
    cin>>N>>K;
    for(int i=0;i<N;i++){
        cin>>a;
        v.push_back(a);
    }
    for(int i=0;i<N;i++){
        pm=v[i];
        if(pm>=K){
            b++;
        }
        for(int j=i+1;j<N;j++){
            pm=pm|v[j];
          //  cout<<pm<<endl;
            if(pm>=K){
             //   cout<<v[j]<<endl;
                b++;
            }
        }
    }
    cout<<b<<endl;
    return 0;
}
